program test_exp;

procedure sla__ATMS (RT, TT, DNT, GAMAL, R: double; var DN, RDNDR: double);
var 
   B,W: double;
begin
      B := GAMAL/TT;
      W := (DNT-1)*EXP(-B*(R-RT));
      DN := 1+W;
      RDNDR := -R*B*W;
END;               

var 
  RT,TT,DNT,GAMAL,RDNDRP,DNTS : double;

begin
  RT:=6389120.0;
  TT:=211.64999389;
  DNT:=1.00008227668;
  GAMAL:=0.034088000451;
  sla__ATMS(RT,TT,DNT,GAMAL,RT,DNTS,RDNDRP); 
  writeln(DNTS,RDNDRP);
end.
